# Uses of Class
org.apache.lucene.sandbox.facet.ComparableUtils.ByCountAndLongValueComparable

Packages that use ComparableUtils.ByCountAndLongValueComparable
Package
Description
org.apache.lucene.sandbox.facet
Sandbox faceting - Collectors that compute facets.

## Uses of ComparableUtils.ByCountAndLongValueComparable in org.apache.lucene.sandbox.facet

Methods in org.apache.lucene.sandbox.facet that return types with arguments of type ComparableUtils.ByCountAndLongValueComparable
Modifier and Type
Method
Description
`static ComparableSupplier<ComparableUtils.ByCountAndLongValueComparable>`
ComparableUtils.`byCount(CountFacetRecorder countFacetRecorder, LongValueFacetCutter longValueFacetCutter)`
`ComparableSupplier` to sort ordinals by count (descending) from `CountFacetRecorder` with tie-break by long value (ascending) from `LongValueFacetCutter`.
Methods in org.apache.lucene.sandbox.facet with parameters of type ComparableUtils.ByCountAndLongValueComparable
Modifier and Type
Method
Description
`int`
ComparableUtils.ByCountAndLongValueComparable.`compareTo(ComparableUtils.ByCountAndLongValueComparable o)`